WPS8TextInternal::SubDocument Class Reference

Internal: the subdocument of a WPS8Text. More...

Inheritance diagram for WPS8TextInternal::SubDocument:

## Public Member Functions

| SubDocument (WPXInputStreamPtr input, WPS8Text &pars, WPSEntry const &entry)
| constructor for a note/endnote entry More...
| SubDocument (WPXInputStreamPtr input, WPXString const &text)
| constructor for a comment entry More...
| ~SubDocument ()
| destructor More...
virtual bool | operator== (WPSSubDocumentPtr const &doc) const
| operator== More...
void | parse (WPSContentListenerPtr &listener, libwps::SubDocumentType type)
| the parser function More...
Public Member Functions inherited from WPSSubDocument
| WPSSubDocument (WPXInputStreamPtr &input, WPSParser *parser, int id=0)
| constructor More...
virtual | ~WPSSubDocument ()
| destructor More...
WPXInputStreamPtr & | getInput ()
| returns the input More...
WPSParser * | parser () const
| returns the parser More...
int | id () const
| get the identificator More...
void | setId (int i)
| set the identificator More...
bool | operator!= (shared_ptr< WPSSubDocument > const &doc) const

## Public Attributes

WPS8Text * | m_textParser
WPSEntry | m_entry
WPXString | m_text

## Private Member Functions

| SubDocument (SubDocument const &orig)
SubDocument & | operator= (SubDocument const &orig)

## Additional Inherited Members

Protected Attributes inherited from WPSSubDocument
WPXInputStreamPtr | m_input
WPSParser * | m_parser
int | m_id

## Detailed Description

Internal: the subdocument of a WPS8Text.

## Constructor & Destructor Documentation

WPS8TextInternal::SubDocument::SubDocument | ( | WPXInputStreamPtr | input,
|  | WPS8Text & | pars,
|  | WPSEntry const & | entry
| ) |  |

inline

constructor for a note/endnote entry

WPS8TextInternal::SubDocument::SubDocument | ( | WPXInputStreamPtr | input,
|  | WPXString const & | text
| ) |  |

inline

constructor for a comment entry

WPS8TextInternal::SubDocument::~SubDocument | ( |  | ) |

inline

destructor

WPS8TextInternal::SubDocument::SubDocument | ( | SubDocument const & | orig | ) |

private

## Member Function Documentation

SubDocument& WPS8TextInternal::SubDocument::operator= | ( | SubDocument const & | orig | ) |

private

virtual bool WPS8TextInternal::SubDocument::operator== | ( | WPSSubDocumentPtr const & | doc | ) | const

inline virtual

operator==

Reimplemented from WPSSubDocument.

void WPS8TextInternal::SubDocument::parse | ( | WPSContentListenerPtr & | listener,
|  | libwps::SubDocumentType | type
| ) |  |

virtual

the parser function

Implements WPSSubDocument.

## Member Data Documentation

WPSEntry WPS8TextInternal::SubDocument::m_entry

Referenced by operator==(), and parse().

WPXString WPS8TextInternal::SubDocument::m_text

Referenced by operator==(), and parse().

WPS8Text* WPS8TextInternal::SubDocument::m_textParser

Referenced by operator==(), and parse().

The documentation for this class was generated from the following file:

- WPS8Text.cpp